Package ru.bitel.bgbilling.kernel.contract.limit.common.bean

# Class ContractLimitParameters

java.lang.Object
ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractLimitParameters

public class ContractLimitParameters extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractLimitParameters()`
  `ContractLimitParameters(Set<Integer> contractLabelIds, int maxNotPayoffed, int maxPartialPayoffed, int maxExpiredForBlock, int minDays, int maxDays, int delayDays, int defaultMode, BigDecimal minSumm, BigDecimal maxSumm, BigDecimal minLimit)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getContractLabelIds()`
  `int`
  `getDefaultMode()`
  `int`
  `getDelayDays()`
  `long`
  `getGroups()`
  `int`
  `getMaxDays()`
  `int`
  `getMaxExpiredForBlock()`
  `int`
  `getMaxNotPayoffed()`
  `int`
  `getMaxPartialPayoffed()`
  `BigDecimal`
  `getMaxSumm()`
  `int`
  `getMinDays()`
  `BigDecimal`
  `getMinLimit()`
  `BigDecimal`
  `getMinSumm()`
  `ContractLimitParameters`
  `setCcontractLabelIds(Set<Integer> contractLabelIds)`
  `ContractLimitParameters`
  `setDefaultMode(int defaultMode)`
  `ContractLimitParameters`
  `setDelayDays(int delayDays)`
  `ContractLimitParameters`
  `setGroups(long groups)`
  `ContractLimitParameters`
  `setMaxDays(int maxDays)`
  `ContractLimitParameters`
  `setMaxExpiredForBlock(int maxExpiredForBlock)`
  `ContractLimitParameters`
  `setMaxNotPayoffed(int maxNotPayoffed)`
  `ContractLimitParameters`
  `setMaxPartialPayoffed(int maxPartialPayoffed)`
  `ContractLimitParameters`
  `setMaxSumm(BigDecimal maxSumm)`
  `ContractLimitParameters`
  `setMinDays(int minDays)`
  `ContractLimitParameters`
  `setMinLimit(BigDecimal minLimit)`
  `ContractLimitParameters`
  `setMinSumm(BigDecimal minSumm)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractLimitParameters

    public ContractLimitParameters()

  - ### ContractLimitParameters

    public ContractLimitParameters(Set<Integer> contractLabelIds, int maxNotPayoffed, int maxPartialPayoffed, int maxExpiredForBlock, int minDays, int maxDays, int delayDays, int defaultMode, BigDecimal minSumm, BigDecimal maxSumm, BigDecimal minLimit)

- ## Method Details

  - ### getContractLabelIds

    public Set<Integer> getContractLabelIds()

  - ### getDefaultMode

    public int getDefaultMode()

  - ### getDelayDays

    public int getDelayDays()

  - ### getGroups

    public long getGroups()

  - ### getMaxDays

    public int getMaxDays()

  - ### getMaxExpiredForBlock

    public int getMaxExpiredForBlock()

  - ### getMaxNotPayoffed

    public int getMaxNotPayoffed()

  - ### getMaxPartialPayoffed

    public int getMaxPartialPayoffed()

  - ### getMaxSumm

    public BigDecimal getMaxSumm()

  - ### getMinDays

    public int getMinDays()

  - ### getMinLimit

    public BigDecimal getMinLimit()

  - ### getMinSumm

    public BigDecimal getMinSumm()

  - ### setCcontractLabelIds

    public ContractLimitParameters setCcontractLabelIds(Set<Integer> contractLabelIds)

  - ### setDefaultMode

    public ContractLimitParameters setDefaultMode(int defaultMode)

  - ### setDelayDays

    public ContractLimitParameters setDelayDays(int delayDays)

  - ### setGroups

    public ContractLimitParameters setGroups(long groups)

  - ### setMaxDays

    public ContractLimitParameters setMaxDays(int maxDays)

  - ### setMaxExpiredForBlock

    public ContractLimitParameters setMaxExpiredForBlock(int maxExpiredForBlock)

  - ### setMaxNotPayoffed

    public ContractLimitParameters setMaxNotPayoffed(int maxNotPayoffed)

  - ### setMaxPartialPayoffed

    public ContractLimitParameters setMaxPartialPayoffed(int maxPartialPayoffed)

  - ### setMaxSumm

    public ContractLimitParameters setMaxSumm(BigDecimal maxSumm)

  - ### setMinDays

    public ContractLimitParameters setMinDays(int minDays)

  - ### setMinLimit

    public ContractLimitParameters setMinLimit(BigDecimal minLimit)

  - ### setMinSumm

    public ContractLimitParameters setMinSumm(BigDecimal minSumm)